//=============================================================================
// ZapSodaCan - a can of Zap! cola.  Heals 3 points instead of the measly
// 2 points that Nuke! heals.
//=============================================================================
class ZapSodaCan extends Sodacan;

state Activated
{
	function Activate()
	{
		// can't turn it off
	}

	function BeginState()
	{
		local DeusExPlayer player;
		
		Super(Sodacan).BeginState();

		player = DeusExPlayer(Owner);
		if (player != None)
			player.HealPlayer(3, False);

		PlaySound(sound'MaleBurp');
		UseOnce();
	}
Begin:
}

defaultproperties
{
     ItemName="Zap! Soda"
     Icon=Texture'MyPackage.Icons.BeltIconZapSodaCan'
     largeIcon=Texture'MyPackage.Icons.LargeIconZapSodaCan'
     Description="A can of Zap! soda.  The label reads: '50% more effective than Nuke!'"
     beltDescription="ZAP SODA"
     Multiskins(0)=Texture'DeusExItems.SodacanTex2'
}
